Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theater
Class Cell

    java.lang.Object
      theater.Cell

All Implemented Interfaces:
  PixelArea

    public class Cell

extends java.lang.Object
implements PixelArea

Die Klasse Cell repräsentiert eine Zelle der Bühne. Sie implementiert das Interface PixelArea, so dass mit dieser Klasse Kollisionen von Zellen mit anderen Gebieten der Bühne überprüft werden können.

Version:
  1.0 (08.09.2009)
Author:
  Dietrich Boles, Universität Oldenburg, Germany

Field Summary
`protected int` | `col` Spalte der Zelle
`protected int` | `row` Reihe der Zelle

Constructor Summary
`Cell(int col, int row)` Konstruktor zum Initialisieren einer Zelle mit seiner Spalte und Reihe.

Method Summary
`boolean` | `contains(int x, int y)` Überprüft, ob der Punkt mit den als Parameter übergebenen Koordinaten innerhalb der aufgerufenen Zelle liegt.
`int` | `getCol()` Liefert die Spalte der Zelle.
`int` | `getRow()` Liefert die Reihe der Zelle.
`boolean` | `intersects(PixelArea area)` Überprüft, ob die aufgerufene Zelle die als Parameter übergebene PixelArea schneidet.
`boolean` | `isInside(PixelArea area)` Überprüft, ob die aufgerufene Zelle innerhalb der als Parameter übergebenen PixelArea liegt.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### col

    protected int col

  Spalte der Zelle

### row

    protected int row

  Reihe der Zelle

Constructor Detail

### Cell

    public Cell(int col,
                int row)

  Konstruktor zum Initialisieren einer Zelle mit seiner Spalte und Reihe.

  Parameters:
    `col` - die Spalte der Zelle
    `row` - die Reihe der Zelle

Method Detail

### contains

    public boolean contains(int x,
                            int y)

  Überprüft, ob der Punkt mit den als Parameter übergebenen Koordinaten innerhalb der aufgerufenen Zelle liegt.

  Specified by:
    `contains` in interface `PixelArea`
  Parameters:
    `x` - x-Koordinate des Punktes
    `y` - y-Koordinate des Punktes
  Returns:
    genau dann true, wenn der Punkt mit den als Parameter übergebenen Koordinaten innerhalb der aufgerufenen Zelle liegt
  See Also:
    `PixelArea.contains(int, int)`

### getCol

    public int getCol()

  Liefert die Spalte der Zelle.

  Returns:
    die Spalte der Zelle

### getRow

    public int getRow()

  Liefert die Reihe der Zelle.

  Returns:
    die Reihe der Zelle

### intersects

    public boolean intersects(PixelArea area)

  Überprüft, ob die aufgerufene Zelle die als Parameter übergebene PixelArea schneidet.

  Specified by:
    `intersects` in interface `PixelArea`
  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn die aufgerufene Zelle die als Parameter übergebene PixelArea schneidet
  See Also:
    `PixelArea.intersects(theater.PixelArea)`

### isInside

    public boolean isInside(PixelArea area)

  Überprüft, ob die aufgerufene Zelle innerhalb der als Parameter übergebenen PixelArea liegt.

  Specified by:
    `isInside` in interface `PixelArea`
  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn die aufgerufene Zelle innerhalb der als Parameter übergebenen PixelArea liegt
  See Also:
    `PixelArea.isInside(theater.PixelArea)`

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD